Bug 108986 - updated coreutils, now cannot login through gdm
updated coreutils, now cannot login through gdm
Product: Red Hat Linux
Classification: Retired
Component: gdm (Show other bugs)
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Havoc Pennington
Mike McLean
Depends On:
  Show dependency treegraph
Reported: 2003-11-03 20:01 EST by solomon
Modified: 2007-04-18 12:59 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-11-15 13:01:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
output from ps axf (2.13 KB, text/plain)
2003-11-04 15:48 EST, solomon
no flags Details

  None (edit)
Description solomon 2003-11-03 20:01:31 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1)

Description of problem:
I just ran up2date today (November 3, 2003),  and updated the 
coreutils and cups packages that were available (everything else is 
up to date). I had to reboot the machine, and now, gdm doesn't start: 
I never get the greeter screen, just a spinning hourglass. Also, I 
can hear the processor fan spinning up to maximum speed, so it sounds 
like the processor is working at max load. I didn't change any 
settings, or anything else, all I did was update the coreutils 
Please help! I can't login graphically and cannot get any work done!
I can login in text mode (Alt-F1), but it's very awkward and most of 
my work is graphics-based, so you can see how this is a serious 

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.update coreutils and cups

Actual Results:  gdm just sat there, doing nothing. the little 
hourglass mosue cursor spun in the middle of the screen, and the 
processor (fan) sounded like it went up to full speed!

Expected Results:  the graphical greeter was supposed to appear.

Additional info:

not much else to say. I haven't made any other changes to my system's 
configuration in a while. nothing seriously customized, no custom 
kernel (kernel is 2.4.20-20.9, also got it from up2date!)
Comment 1 Tim Waugh 2003-11-04 05:06:10 EST
When the hourglass is spinning and the fan is whirring, what does 'ps
axf' say when you run it from a text console?
Comment 2 solomon 2003-11-04 15:48:13 EST
Created attachment 95719 [details]
output from ps axf

output from "ps axf"
Comment 3 Tim Waugh 2003-11-04 17:04:26 EST
It's gdmlogin burning up the CPU cycles here.  Reassigning.
Comment 4 solomon 2003-11-09 23:57:50 EST
here's some additional info, I've been experimenting...

when I change my /etc/prefdm file to use kdm instead of gdm, i get 
what looks like the same problem. When I use xdm, I actually get the 
the greeter stage of the login. When I attempt to login, I get 
an "OUT OF RANGE" message on my screen.
Should also note that when I try to get to the text login from the 
dead gdm scree, the screen often goes completely dark, and I am 
forced to reboot. I am not always able to succesfully switch to a 
text-login. Not sure why.

Hope this info helps, as I need my GUI back, and soon!
Comment 5 solomon 2003-11-10 23:42:57 EST
OK i've been tinkering all night... I still can't get gdm or kdm to 
work. they just hang... still!
I have gotten xdm working to the point that it will run xsm, and from 
xsm i can get into failsafe mode. I can't load the kde session from 
xsm, all it gives me is a screen with some junk in the corner 
(something about shutting down with checkpoint, and some other 
session logs and options that seem to be useless... knwo what I'm 
talking about?), and I can't leave xsm or I risk having my monitor go 
black on me again (not always does it do this, but often enough it's 
annoying as hell!). Even when I'm in failsafe mode, I can't start kde.
Is there any way to "downgrade" my packages? off the installation 
CD's perhaps? something in the recent coreutils or cups updates 
really messed things up here and I'm starting to get desperate... I 
may just back everything up and go for a full reinstall if I can't 
get it working in the next day or two :( :( :(
Comment 6 Tim Waugh 2003-11-11 05:18:18 EST
To downgrade a package use rpm -Uvh --oldpackage <pkgfile>.

If you could try that one package at a time until the problem goes
away it would be useful to know which one triggers it.
Comment 7 solomon 2003-11-11 20:28:08 EST
Ok I downgraded all Cups and coreutils packages to the versions on my 
install cd's (cd's came with book "RedHat Linux 9 Bible; Negus, 
Chrisopher; Wiley Publishing, Inc.), and removed a cups devel package 
that wasn't on the original cd (this book came with 3 cd's BTW, not 
the usual 2)...or did you mean downgrade EVERY package that's 
And gdm is STILL dead and hanging! would any log files help? if so, 
which ones?
Comment 8 solomon 2003-11-15 13:01:15 EST
I took the easy way out. :( backed my home directory and all other vital files to CD, 
and reinstalled the system. Ran up2date on ALMOST everything (I left out Samba 
packages because I don't network with Win* computers, and CUPs-devel because I 
have no plans to write printer drivers) and everything is going fine! :) 
The intallation I performed this tine was a bit more streamlined than my original, I 
left out a number of packages. 
Sorry I couldn't try to spend more time debugging, but I just didn't have the 
I know re-intalling may not be a solution for all, but it cleared up a number of bugs 
for me, this one and some annoying Kde bugs as well. 
If anyone else gets this, I hope they have better luck debugging than I. 
Comment 9 Andreas Smigielski 2003-12-10 04:27:16 EST
It look to me you had the same problem as I have. gdm does hangs when
run in init 5. I have switched to init 3 and am running startx instead.
This give me a lot error messages. I have managed to start
gnome-terminal, but most gnome-applications will crash. You can see my
bug-report on http://bugzilla.ximian.com Bug#51338 for more details.

I have figured out that it is not a gnome fault. Reinstalling gnome
have no positive effect. All Redhat applications which are dealing
with pnd and xpm immages will crash!
Comment 10 Andreas Smigielski 2003-12-10 04:33:19 EST
Complete link to Bug#51338:
Comment 11 solomon 2003-12-10 13:15:12 EST
It doesn't sound too much like mine... I never tried starting in init 3 though, so I don't 
know what would have happened. Your version of redhat is also older than mine. I 
also do not have StarOffice, but OpenOffice instead. I hardly use gnome, and was 
never able to properly start either session. I had to use xdm to log in with failsafe 
mode, then I could use apps like nedit... attempting to start gnome-session or kdestart 
from failsafe mode did nothing (IIRC). I never noticed a problem with xpm or png 
files, and I don't think there was one, because the xdm login display has a logo that is 
probably in one of those two formats. Like I said, I logged in in text mode, backed up 
all of the files that I had to onto a CD, then reformatted and reinstalled everything, 
I  hope you have better luck than I did!! 
(and if you do track it down, and it was related to my bug, would you let me know? 
I'd like to know what really happened there) 

Note You need to log in before you can comment on or make changes to this bug.